cruisename = "ps0918_os75"
yearbase = 2009
uhdas_dir = "/home/adcpproc/my_qpy_demos/fake_uhdas_data/ps0918_os75"



## for processing
##----------------
## ship name: shipname = ''
## at-sea "proc_cfg.py" initialized date = ''
##
## This file starts as /home/adcp/config/proc_cfg.py and
## includes the following information.  Uncomment, left-justify
## and fill these in if you are attempting to generate proc_cfg.py
## from this template.  The file must be named {cruiseid}_proc.py
## or for this example, kk1105_proc.py
##
## example values: fill in for your cruise...
#
# yearbase = 2011                  # usually year of first data logged
# uhdas_dir = '/home/data/kk1105'  # path to uhdas data directory
# shipname = 'Ka`imikai O Kanaloa' # for documentation
# cruiseid = 'kk1105'              # for titles
#
#

#======== serial inputs =========

# choose position instrument (directory and rbin message)

pos_inst = 'N3R'
pos_msg = 'gps'

# choose attitude  instruments (directory and rbin message)

pitch_inst = ''     # pitch is recorded, but NOT used in transformation
pitch_msg = ''      # disable with '' (not None)

roll_inst = ''      # roll is recorded, but NOT used in transformation
roll_msg = ''       # disable with '' (not None)

hdg_inst = 'N1R'       # reliable heading, used for beam-earth transformation
hdg_msg = 'hdg'


## heading correction
## all heading+msg pairs, for hbin files
hdg_inst_msgs = [
    ('synchro', 'hdg'),
    ('N1R', 'hdg'),
    ('N2R', 'adu'),
    ('N2R', 'hdg'),
    ('N2R', 'at2'),
]

## instrument for heading corr to ADCP data (dir and msg)
hcorr_inst = 'N2R'       # disable with '' (not None)
hcorr_msg = 'adu'        # disable with '' (not None)
hcorr_gap_fill = 0.0   ## fallback correction for hcorr gaps
                     ## calculate hdg_inst - hcorr_inst, eg gyro - ashtech
                     ## SAME SIGN CONVENTION as cal/rotate/ens_hcorr.ang

## if there is a posmv
acc_heading_cutoff = 0.02

# =========== ADCP transformations========
# historically, values were substituted into cruise_proc.m 
# now, in Python, they are used directly

# heading alignment:  nominal - (cal/watertrack)
h_align = dict(
      os75 = 1.18,
)

# transducer depth, meters
ducer_depth = dict(
      os75 = 4.0,
)

# velocity scalefactor
# see SoundspeedFixer in pycurrents/adcp/pingavg.py
scalefactor = dict(
    os75bb = 1.0,
    os75nb = 1.0,
)

# soundspeed
soundspeed = dict(
    os75bb = None,
    os75nb = None,
)

# salinity
salinity = dict(
    os75bb = None,
    os75nb = None,
)

#=================================================================
# =========           values for quick_adcp.py          ==========
# ========= These are set here for at-sea procesing,    ==========
# ========= but are REQUIRED in quick_adcp.py control   ==========
# =========  file for batch mode or reprocessing.       ==========

## choose whether or not to use topography for editing
## 0 = "always use amplitude to guess the bottom;
##          flag data below the bottom as bad
## -1 = "never search for the bottom"
## positive integer: Only look for the bottom in deep water
##      "deep water" defined as "topo database says greater than this"

max_search_depth = dict(
    os75bb = 2000,
    os75nb = 2000,
)

# special: weakprof_numbins
weakprof_numbins = dict(
    os75bb = None,
    os75nb = None,
)

# set averaging intervals
enslength = dict(
    os75bb = 300,
    os75nb = 300,
)

# Estimate of offset between ADCP transducer and gps
# this has one value per instrument
# ADCP (dx=startboard, dy=fwd) meters from GPS
# specify integer values for 'xducer_dx' and 'xducer_dy' for each instrument,
#      as from cal/watertrk/guess_xducerxy

xducer_dx = dict(
)
xducer_dy = dict(
)

